Subject: Re: MARSHAL THOMAS - AUTO AND HOME QUOTE
From: Clearwater Service <[email-masked]>
To: Marshal Thomas <[email-masked]>
Cc: TIMOTHY WILSON <[email-masked]>
Date: Tue, 2 May 2023 14:52:17 +0000

Good day,

Thank you for your email and for advising all below.

Please see attached revised quote for your home.
We cannot remove the other structures limit since this is mandatory, but we used the lowest coverage needed for this one.

Please see attached Flood quote as well.

Kindly check and let us know how you wish us to proceed.

Thank you.
________________________________
From: Marshal Thomas <[email-masked]>
Sent: Monday, May 1, 2023 12:48 PM
To: Clearwater Service <[email-masked]>
Subject: Re: MARSHAL THOMAS - AUTO AND HOME QUOTE

Maybe I'm missing something but I don't see flood insurance on here.
Also the extra buildings on the property dont need to be insured.
It's a shed and a carport, if something happens to them It'll be fine.
I'de rather not pay extra for those.
Otherwise the home policy looks good.

The auto policy is already active, i have payed Progressive and printed the cards out.

What do we need to do from here?
________________________________
From: Clearwater Service <[email-masked]>
Sent: Monday, April 24, 2023 3:36 PM
To: [email-masked] <[email-masked]>
Cc: TIMOTHY WILSON <[email-masked]>
Subject: MARSHAL THOMAS - AUTO AND HOME QUOTE

Good day,

Please see attached home and auto quote.

Thank you,

Jerico Tabuena